:root {
    /* Las variables guardan valores en la memoria del navegador, esto me permite reutilizarlas y ordenar mejor mi código */

    /* Esto es declarar las variables y asignarles un valor */
    --naranja: #F90;
    --amarillo: rgb(255, 217, 0);
    --negro: #000;
    --negro2: #27262b;
    --gris: #bbb;
    --blanco: #FFFFFF;
    --espacio: 40px;
}

/* Resetear algunos valores predeterminados del navegador */
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    /* Poner color de fondo para usuarios con mala conexión a internet o por si no carga la imagen */
    background-color: var(--negro2);
    background-image: url('images/pattern.jpg');
    font-family: Arial, Helvetica, sans-serif;
    /*
        ¿Repetir imagen de fondo?
        background-repeat
            repeat: repetir en X y en Y (predeterminado)
            repeat-x: Eje X
            repeat-y: Eje Y
            no-repeat: No repite nada, queda solo en la esquina superior izq.
        
        Imagen que cubra el 100% del fondo pero sin perder proporción
        background-size: cover;
    */
}

.cabecera,
.contenedor {
    max-width: 1000px;
    margin: auto;
}

.cabecera {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 8px;
}

.cabecera h1 {
    color: var(--naranja);
    font-size: 24px;
}

.contenedor {
    /* Utilizar la variable previamente declarada */
    background-color: var(--blanco);
    border-radius: 8px 8px 0 0;
}

/*
    -------------------------------------
                  Navegación
    -------------------------------------
*/

.nav {
    background-color: var(--naranja);
    border-radius: 8px 8px 0 0;
    margin-bottom: var(--espacio)
}

.nav-lista {
    /* Sacamos los puntitos */
    list-style: none;
    display: flex;
    justify-content: space-around;
    padding-top: 10px;
    padding-bottom: 10px;
}

.nav-lista_item {
    flex-grow: 1;
    text-align: center;
    border-right: 1px solid var(--amarillo);
}

.nav-link {
    color: var(--blanco);
    font-weight: bold;
    /* Lo transformo en elemento de bloque para que la zona de click se agrande */
    display: block;
    /* Sacar el subrayado predeterminado */
    text-decoration: none;
}
.nav-link:hover {
    text-decoration: underline;
}

/* .nav-form {
    background-color: tomato;
} */

/*
    -------------------------------------
                  slider de imagen
    -------------------------------------
*/

.imagen{
    text-align: center;
    margin-bottom: var(--espacio)
}

/*
    -------------------------------------
                  principal
    -------------------------------------
*/
.principal{
    background-color: chocolate;
    /*no se deberia ver*/
    margin-left: 30px;
    margin-right: 30px;
    /* margin left y right coinciden con borden imagen*/
    margin-bottom: var(--espacio);
    display: grid;
    grid-template-columns: 280px 1fr;
    gap: 20px;
}

/*
    -------------------------------------
                  categorias
    -------------------------------------
*/
.categorias{
    background-color: darkgreen;
}

/*
    -------------------------------------
                  productos
    -------------------------------------
*/
.productos{
    background-color: white;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
}
/* Solución 3, con un div adicional */
.lampara-titulo {
    margin-bottom: 20px;
    font-size: 20px;
}
.lampara-info {
    display: flex;
    align-items: flex-start;
}
.lampara-imagen {
    margin-right: 20px;
}

/* Solución 2, con un div adicional
.lampara-titulo {
    margin-bottom: 20px;
}
.lampara-info {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
}
*/
/*
Solución 1 para un HTML simple
.lampara {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}

.lampara-titulo {
    Este elemento ocupa todas las columnas de su fila
    grid-column: 1 / -1;
}
*/

/*
    -------------------------------------
                 newsletter
    -------------------------------------
*/
.news{
   background-color: pink;
   background-image: linear-gradient(var(--blanco)65%, var(--gris));
   margin-bottom: var(--espacio);
   /* box-shadow: 2px rgb(222, 222, 222);*/
   margin-left: 30px;
   margin-right: 30px;
   padding: 10px 30px;
   border-radius: 5px;
   border: 1px solid var(--negro2);
   display: flex;
   align-items: center;
   /*justify-content: space-between;*/
}

.news-info, .news-info p{
    padding-left: 40px;
}
.news-form{
    flex-grow: 1;
    text-align: right;
}
.button{
    /*sacarle el fondo y el borde al boton*/
    background: none;
    border: none;
    font-weight: bold;
    /*devolver la manito al cursor*/
    cursor: pointer;
    padding: 4px 10px;
}

